<ui:composition xmlns:rich="http://richfaces.org/rich" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    <s:decorate template="/layout/panels/_panel_title.xhtml"
                rendered="#{pdqpdc.selectedTransaction.keyword.equals('ITI-22')}">
        <ui:define name="panel_title">#{messages['gazelle.simulator.pam.VisitInformation']}</ui:define>
        <dl class="dl-horizontal">
            <s:decorate template="/layout/display/_display.xhtml"
                        rendered="#{not empty pdqpdc.encounterCriteria.patientClassCode}">
                <ui:define name="label">#{messages['gazelle.simulator.pam.PatientClass_3']}</ui:define>
                <h:outputText value="#{pdqpdc.encounterCriteria.patientClassCode}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_display.xhtml"
                        rendered="#{not empty pdqpdc.encounterCriteria.hospitalService}">
                <ui:define name="label">#{messages['gazelle.simulator.pam.HospitalService']}</ui:define>
                <h:outputText value="#{pdqpdc.encounterCriteria.hospitalServiceCode}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_display.xhtml" rendered="#{not empty pdqpdc.encounterCriteria.visitNumber}">
                <ui:define name="label">#{messages['gazelle.simulator.pam.VisitNumber']}</ui:define>
                <h:outputText value="#{pdqpdc.encounterCriteria.visitNumber}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_display.xhtml"
                        rendered="#{not empty pdqpdc.movementCriteria.pointOfCareCode}">
                <ui:define name="label">#{messages['gazelle.simulator.pam.PointOfCare']}</ui:define>
                <h:outputText value="#{pdqpdc.movementCriteria.pointOfCareCode}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_display.xhtml" rendered="#{not empty pdqpdc.movementCriteria.roomCode}">
                <ui:define name="label">#{messages['gazelle.simulator.pam.Room']}</ui:define>
                <h:outputText value="#{pdqpdc.movementCriteria.roomCode}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_display.xhtml" rendered="#{not empty pdqpdc.movementCriteria.bedCode}">
                <ui:define name="label">#{messages['gazelle.simulator.pam.Bed']}</ui:define>
                <h:outputText value="#{pdqpdc.movementCriteria.bedCode}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_display.xhtml" rendered="#{not empty pdqpdc.movementCriteria.facilityCode}">
                <ui:define name="label">#{messages['gazelle.simulator.pam.Facility']}</ui:define>
                <h:outputText value="#{pdqpdc.movementCriteria.facilityCode}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_display.xhtml"
                        rendered="#{not empty pdqpdc.encounterCriteria.admittingDoctorCode}">
                <ui:define name="label">#{messages['gazelle.simulator.pam.AdmittingDoctor']}</ui:define>
                <h:outputText value="#{pdqpdc.encounterCriteria.admittingDoctorCode}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_display.xhtml"
                        rendered="#{not empty pdqpdc.encounterCriteria.attendingDoctorCode}">
                <ui:define name="label">#{messages['gazelle.simulator.pam.AttendingDoctor']}</ui:define>
                <h:outputText value="#{pdqpdc.encounterCriteria.attendingDoctorCode}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_display.xhtml"
                        rendered="#{not empty pdqpdc.encounterCriteria.referringDoctorCode}">
                <ui:define name="label">#{messages['gazelle.simulator.pam.ReferringDoctor']}</ui:define>
                <h:outputText value="#{pdqpdc.encounterCriteria.referringDoctorCode}"/>
            </s:decorate>
        </dl>
    </s:decorate>
</ui:composition>
